summaryrefslogtreecommitdiffstats
path: root/updater.sh
diff options
context:
space:
mode:
authorjt1134 <jt1134@gmail.com>2011-12-10 03:09:54 -0600
committerjt1134 <jt1134@gmail.com>2011-12-10 12:35:35 -0600
commit1a0dd6dcf093f303bae37ecff83033b30eaaa2ed (patch)
tree029521344d558bb70fd2ee5b0b09a93f7823667a /updater.sh
parent99b17323e14b17277d96967755c57e51c1675565 (diff)
downloaddevice_samsung_aries-common-1a0dd6dcf093f303bae37ecff83033b30eaaa2ed.zip
device_samsung_aries-common-1a0dd6dcf093f303bae37ecff83033b30eaaa2ed.tar.gz
device_samsung_aries-common-1a0dd6dcf093f303bae37ecff83033b30eaaa2ed.tar.bz2
flash recovery on cdma devices
Diffstat (limited to 'updater.sh')
-rwxr-xr-xupdater.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/updater.sh b/updater.sh
index bd5d82d..3ffba5b 100755
--- a/updater.sh
+++ b/updater.sh
@@ -155,8 +155,12 @@ elif /tmp/busybox test -e /dev/block/mtdblock0 ; then
# flash boot image
/tmp/bml_over_mtd.sh boot 72 reservoir 2004 /tmp/boot.img
- # unmount system (recovery seems to expect system to be unmounted)
- /tmp/busybox umount -l /system
+ if ! $IS_GSM ; then
+ /tmp/bml_over_mtd.sh recovery 102 reservoir 2004 /tmp/boot.img
+ fi
+
+ # unmount system (recovery seems to expect system to be unmounted)
+ /tmp/busybox umount -l /system
exit 0
fi